commit 336c91bf7f611d04b5fbcb5f6fa39bfa258a16e2
Author: Matthias Kretz <m.kretz@gsi.de>
Date:   Wed Mar 22 08:12:08 2023

    libstdc++: Fix operator% implementation for Clang
    
    This resolves a regression of my previous fix where Clang would ICE on
    _S_divides.
    
    Signed-off-by: Matthias Kretz <m.kretz@gsi.de>
    
    libstdc++-v3/ChangeLog:
    
            * include/experimental/bits/simd_x86.h (_SimdImplX86): Use
            _Base::_S_divides if the optimized _S_divides function is hidden
            via the preprocessor.
    
    (cherry picked from commit 1a62008123694b2ac07f28e25fc6e5ff371925f5)

diff --git a/libstdc++-v3/include/experimental/bits/simd_x86.h b/libstdc++-v3/include/experimental/bits/simd_x86.h
index cb5ec1aa86e..7fd1d958c08 100644
--- a/libstdc++-v3/include/experimental/bits/simd_x86.h
+++ b/libstdc++-v3/include/experimental/bits/simd_x86.h
@@ -1524,6 +1524,8 @@ template <typename _Abi, typename>
 	  */
 	return _Base::_S_divides(__x, __y);
       }
+#else
+    using _Base::_S_divides;
 #endif // _GLIBCXX_SIMD_WORKAROUND_PR90993
 
     // }}}

